$(document).ready(function(){
	//Modal
	$(".modals").click(function(){
		$("#modal-" + $(this).data("body")).arcticmodal({
			overlay: {
				css: { opacity: .7 }
			}
		});
		//Back chromium
		$(".arcticmodal-overlay").text(".");
	});

	//Slider plan
	$(".slider1").bxSlider({
		mode: "fade",
		auto: true,
		pause: 5000,
		controls: false,
		pagerCustom: "#pager"
	});

	//Hint vertical center
	$(".list li").hover(function(){
		var height = $(".list li:hover .hint").height();
		$(".list li:hover .hint").css({ marginTop: -height / 2 });	
	});
	
	//Slider payment
	$(".slider2").carouFredSel({
		auto: {
			duration: 800,
			timeoutDuration: 5000
		},
		prev: {
			button: ".prev",
			key: "left"
		},
		next: {
			button: ".next",
			key: "right"
		}
	});

	//Select
	if($(".select").length){
		$(".select-box .select-txt").show();
		$(".select").css({ opacity: 0 });
		$(".select").change(function(){
			var SelectId = $(this).data("select");
			var SelectText = $(".select" + SelectId + " option:selected").text();
			$("#select" + SelectId).val(SelectText);
		});
	}
	
	//Vvod number
	$("#money").bind("change keyup input click", function(){
		if (this.value.match(/[^0-9]/g)){
			this.value = this.value.replace(/[^0-9]/g, '');
		}
	});
	
	//Setting calculator
	var percents = [5, 7, 8.25, 2.5];
	var minMoney = [10, 15, 20, 150];
	var maxMoney = [1000, 2000, 3000, 5000];
	var day = [1, 2, 4, 1];
	$("#money").val(minMoney[0]);
	//Calculator
	function calc(){
		var money = parseInt($("#money").val());
		var id = $("#plan").val();
		if(money > maxMoney[id]){
			money = maxMoney[id];
			$("#money").val(money);
		}
		var percent = percents[id] / 100;
		var summa = money + money * percent * day[id];
		summa = summa.toFixed(2);
		if(id == 3){ summa = summa - money; }
		if(money < minMoney[id] || isNaN(money) == true){
			$("#res").text("Невер. сумма!");
		}
		else{
			$("#res").text(summa + " USD");
		}
	};
	calc();
	$("#money").keyup(function(){
		calc();
	});
	$("#plan").change(function(){
		id = $("#plan").val();
		$("#money").val(minMoney[id]);
		calc();
	});
	
	//Radio plan
	$(".radios").css({ opacity: 0 });
	$(".radios").change(function(){
		var RadioId = $(this).data("radio");
		$(".depo .box").removeClass("actives");
		$("#radios" + RadioId).addClass("actives");
	});
	
	//Radio payment
	$(".radio").css({ opacity: 0 });
	$(".radio").change(function(){
		var RadioId = $(this).data("radio");
		$(".radio-b").removeClass("active");
		$("#radio" + RadioId).addClass("active");
	});	
	
	//Progressbar
	//progressbar1 - идентификатор прогрессбара
	//progresslabel1 - место куда выводиться значения прогрессбара
	//valu - начальное значение прогрессбара
	//time - время в милисек для заполнения 0,01%
/*	function progres(progressbar1, progresslabel1, valu, time){
		var progressbar1 = $(progressbar1);
		var progresslabel1 = $(progresslabel1);
		progressbar1.progressbar({
			value: valu,
			change: function(){
				var value1 = progressbar1.progressbar("value");
				value1 = value1.toFixed(2);
				progresslabel1.text(value1 + "%" );
			},
			complete: function(){
				progresslabel1.text("100.00%");
			}
		});
		function progress(){
			var val = progressbar1.progressbar("value") || 0;
			progressbar1.progressbar("value", val + 0.01);
			if (val < 99.99) {
				setTimeout(progress, time);
			}
		}
		setTimeout(progress, 0);
	}*/
	
//	progres("#progressbar1", "#progress-label1", 40, 600);
//	progres("#progressbar2", "#progress-label2", 100, 0);
	
	//Progressbar load
	$(".ui-progressbar-value").append("<div class='progress'></div>");
});