<div class="cl-right">
<?php
ini_set('error_reporting', 1);
ini_set('display_errors', 1);
error_reporting(E_ALL);
$width = 10; //   
$height = 10; //   
/**
 
*/
function create_map() {
	global $width, $height;
	$max_bombs = 25; //   
	$percent_bomb = 25; //     

	$field = array();
	$sapper_free = 0;
	for ($x=0;$x<$width;$x++) {
		$field[$x] = array();
		for ($y=0;$y<$height;$y++) {
			$rand = rand(0, 100);
			$val = false;
			if ($rand <= $percent_bomb && $max_bombs > 0) {
				$val = true;
				$max_bombs--;
			}
			else {
				$sapper_free++;
			}
			$field[$x][$y] = $val;
		}
	}
	
	$_SESSION['sapper_map'] = $field;
	$_SESSION['sapper_free'] = $sapper_free;
	return $field;
}

/**
,     
*/
function check_column($x, $y) {
	global $field;
	if (isset($field[$x][$y]) && $field[$x][$y] == true) return true;
	return false;
}

/**
        
*/
function count_bombs($x = -1, $y = -1) {
	global $field;
	if ($x == -1 && $y == -1) {
		$count = 0;
		foreach ($field as $x) {
			foreach ($x as $y) {
				if ($y == true) $count++;
			}
		}
		
		return $count;
	}
	else {
		$count = 0;
		if (check_column($x+1, $y)) $count++; //   
		if (check_column($x-1, $y)) $count++; //   
		if (check_column($x, $y+1)) $count++; //   
		if (check_column($x, $y-1)) $count++; //   
		if (check_column($x-1, $y-1)) $count++; //  
		if (check_column($x+1, $y-1)) $count++; //  
		if (check_column($x-1, $y+1)) $count++; //  
		if (check_column($x+1, $y+1)) $count++; //  
		
		return $count;
	}
}

function view_map($field, $bombs=false, $b_x=0, $b_y=0) {
	global $width, $height;
	echo '<table width="100%" height="80%">';
	$td_width = round(100/$width, 2);
	$tr_height = round(100/$height, 2);
	foreach ($field as $x => $xs) {
		echo '<tr height="'.$tr_height.'%">';
		foreach ($xs as $y => $ys) {
			if ($bombs==true && $ys == true) {
				$color = ($x == $b_x && $y == $b_y) ? 'rgb(255, 0, 0)' : 'rgb(24, 178, 217)';
				echo '<td style="cursor: pointer;background-color: '.$color.'; text-align: center; border: 1px solid rgb(204, 204, 204);" width="'.$td_width.'%"><img src="/img/bomba.png" width="25" height="25"></td>';
			}
			elseif (isset($_SESSION['sapper_game'][$x][$y])) {
				$count = count_bombs($x, $y);
				echo '<td style="cursor: pointer;background-color: rgb(0, 255, 0); text-align: center; border: 1px solid rgb(255, 255, 255);" width="'.$td_width.'%">'.$count.'</td>';
			}
			else {
				$url = '/account/sapper/'.$x.'-'.$y;
				echo '<td onClick="document.location.href = \''.$url.'\'" style="cursor: pointer;background-color: rgb(24, 178, 217); text-align: center; border: 1px solid rgb(204, 204, 204);" width="'.$td_width.'%"></td>';
			}
		}
		echo '</tr>';
	}
	echo '</table>';
}

$_OPTIMIZATION["title"] = " - ";
$user_id = $_SESSION["user_id"];

$field = isset($_SESSION['sapper_map']) ? $_SESSION['sapper_map'] : create_map();

$active = isset($_SESSION['sapper_active']) ? true : false;

if (!$active) {
	unset($_SESSION['sapper_active'], $_SESSION['sapper_map'], $_SESSION['sapper_game']);
	unset($_SESSION['sapper_sum'], $_SESSION['sapper_free']);
}

function game_init() {
	global $field, $user_id, $access;
	if (isset($_POST['sum'])) {
		$sum = $_POST['sum'];
		if ($sum <= 0) return false;
		$sums = array(1, 5, 10, 50, 100);
		if (!in_array($_POST['sum'], $sums)) return false;
		$user_data = db::getRow('SELECT money_b FROM db_users_b WHERE id=?i', $user_id);
		if ($user_data['money_b'] < $sum) {
			echo '<p style="font-size: 18px; color: red;">    !</p>';
			return false;
		}
		
		db::query('UPDATE db_users_b SET money_b = money_b-?s WHERE id=?i', $sum, $user_id);
		$_SESSION['sapper_active'] = true;
		$_SESSION['sapper_sum'] = $sum;
	}
	
	if (isset($_GET['x']) && isset($_GET['y']) && isset($field[$_GET['x']][$_GET['y']])) {
		$bomb = check_column($_GET['x'], $_GET['y']);
		if ($bomb == true) {
				db::query('INSERT INTO db_sapper SET user_id=?i, user_name=?s, sum=?i, win=?i',
				$user_id, $_SESSION['user'], $_SESSION['sapper_sum'], 0);
$access->winGame(0);
			echo '<p style="font-size: 18px; color: red; text-align: center;">-.    . !</p>';
			unset($_SESSION['sapper_active'], $_SESSION['sapper_map'], $_SESSION['sapper_game']);
			unset($_SESSION['sapper_sum'], $_SESSION['sapper_free']);
			
			view_map($field, true, $_GET['x'], $_GET['y']);
			
			echo '<center><form action="/account/sapper/" method="post">
		<p><select size="1" name="sum">
			<option selected="" value="1">1 .</option>
			<option value="5">5 .</option>
			<option value="10">10 .</option>
			<option value="50">50 .</option>
			<option value="100">100 .</option>
			</select>
		</p>
		<p><input value=" " type="submit"></p>
	</form></center>';
			return false;
		}
		else {
			$_SESSION['sapper_game'][$_GET['x']][$_GET['y']] = true;
			$_SESSION['sapper_free']--;
			if ($_SESSION['sapper_free'] == 0) {
			
			
				db::query('UPDATE db_users_b SET money_b = money_b+?s WHERE id=?i', $access->winGame($_SESSION['sapper_sum']*2/100*75), $user_id);
				echo '<p style="font-size: 18px; color: green; text-align: center;">!  !  !</p>';
				
				
				
				db::query('INSERT INTO db_sapper SET user_id=?i, user_name=?s, sum=?i, win=?i',
				$user_id, $_SESSION['user'], $_SESSION['sapper_sum'], 1);
				
				unset($_SESSION['sapper_active']);
				echo '<center><form action="/account/sapper/" method="post">
		<p><select size="1" name="sum">
			<option selected="" value="1">1 .</option>
			<option value="5">5 .</option>
			<option value="10">10 .</option>
			<option value="50">50 .</option>
			<option value="100">100 .</option>
			</select>
		</p>
		<p><input value=" " type="submit"></p>
	</form></center>';
				return true;
			}
		}
	}
	
	view_map($field);
}

$access = new access(6);
?>

<div class="s-bk-lf">
	<div class="acc-title"></div>
</div>
<div style="font-size: 16px;" class="silver-bk">	<center>    .<br>     .</center><br>
<?php if ($access->checkBillet()) { ?>
<div class="clr"></div>
<?php
if (isset($_POST['sum'])) {
	game_init();
}
elseif (isset($_GET['x']) && isset($_GET['y']) && $active) {
	game_init($_GET['x'], $_GET['y']);
}
elseif ($active) {
	game_init();
}
else {
?>
<center>
	<b> ,       </b>
	<form action="/account/sapper/" method="post">
		<!--p><select size="1" name="sum">
			<option selected="" value="50">50 .</option>
			<option value="100">100 .</option>
			<option value="200">200 .</option>
			<option value="1000">1000 .</option>
			<option value="2000">2000 .</option>
			</select>
		</p-->
		<br><p> : <br><input type="text" name="sum" value="100"></p>
		<p><input value="" type="submit"></p>
	</form>
</center>
<?php } ?>
<br><br>
<table width="99%" align="center" border="0" bordercolor="#336633" cellpadding="3" cellspacing="0">
  <tbody><tr>
    <td colspan="5" align="center"><h4> 20 </h4></td>
    </tr>
  <tr>
    <td class="m-tb" align="center">ID</td>
    <td class="m-tb" align="center"></td>
	<td class="m-tb" align="center"></td>
	<td class="m-tb" align="center"></td>
  </tr>
<?php $stats = db::getAll('SELECT * FROM db_sapper ORDER BY id DESC LIMIT 20');
foreach ($stats as $stat) {
	echo '<tr class="htt">
    		<td align="center">'.$stat['id'].'</td>
    		<td align="center">'.$stat['user_name'].'</td>
    		<td align="center">'.$stat['sum'].'</td>
			<td align="center">'.$stat['win'].'</td>
  		</tr>';
}
?>
</table>
			   
<?php } else {
	if (isset($_POST['buybillet'])) {
		if ($access->buyBillet() == false) {
			echo $access->getError();
		}
		else {
			echo '<p style="font-size: 18px; color: green;">    5 !     !</p>';
		}
	}
	else {
?>
<center>
	<b>   - <?php echo $access->getBilletPrice(); ?> </b><br><b>   2 </b>
	<form action="" method="post">
		<input type="hidden" name="buybillet" value="1">
		<p><input value=" " type="submit"></p>
	</form>
</center>
<?php
	}
}
?>
<br>
</div>