<?php
function _FRead($filename,$newfile = TRUE) {
	if (!file_exists($filename)) {
		return array();
	}
	
	$fp = @fopen($filename,'r') or die('Could not read from the file <b>'.$filename.'</b>');
	flock($fp, 1);
	$filesize = filesize($filename);
	$filesize = ($filesize ===0) ? 1:$filesize-8;
	fseek($fp,8);
	$str = fread($fp,$filesize);
	flock($fp, 3);
	fclose($fp);
	return unserialize($str);
}

function _FRead2Write(&$fp,$filename,$newfile = TRUE) {
	if (!file_exists($filename)) {
		@fclose(@fopen($filename,'a+'));
		@chmod($filename,$this->exbb['ch_files']);
	}

	$fp = @fopen($filename,'a+') or die('Could not write in the file <b>'.$filename.'</b>');
	flock($fp, 2);
	$filesize = filesize($filename);
	$filesize = ($filesize ===0) ? 1:$filesize-8;
	fseek($fp,8);
	$str = fread($fp,$filesize);
	return unserialize($str);
}

function _FWrite(&$fp,$string) {
	fseek ($fp,0);
	ftruncate ($fp,0);
	fwrite($fp, '<?die;?>'.serialize($string));
	fflush($fp);
	flock($fp,3);
	fclose($fp);
	clearstatcache();
	return;
}

function game_init($position = -1) {
	global $active, $user_id, $start_sum, $fields_file, $fields_fp, $hide_sum, $catch_live;
	
	//   
	if (isset($_POST['start']) && !$active) {
		$user_data = db::getRow('SELECT money_p FROM db_users_b WHERE id=?i', $user_id);
		if ($user_data['money_p'] < $start_sum) {
			echo '<p style="font-size: 18px; color: red; text-align: center;">    !</p>';
			return false;
		}
		
		db::query('UPDATE db_users_b SET money_p = money_p-?s WHERE id=?i', $start_sum, $user_id);
		db::query('INSERT INTO db_catch_users SET user_id=?i, user_name=?s, time=?i, last_catch=?i',
		$user_id, $_SESSION['user'], time(), 0);
		$active = true;
	}

	if ($active == false) {
		echo '<p style="font-size: 18px; color: red; text-align: center;">   !</p>';
		return false;
	}
	
	$last_catch = db::getOne('SELECT last_catch FROM db_catch_users WHERE user_id=?i', $user_id);
	$catch_active = ($last_catch > 0 && ($last_catch+$catch_live) > time()) ? false : true;
	//   :-)
	if (isset($_GET['posid']) && isset($fields_file[$_GET['posid']]) && $catch_active) {	
		
		$result_sum = $fields_file[$_GET['posid']];
		$result = ($result_sum > 0) ? 1 : 0;
		
		$catch = db::getRow('SELECT id FROM db_catches WHERE user_id=?i AND position=?i',
		$user_id, $_GET['posid']);
		
		if (!isset($catch['id'])) {
			db::query('UPDATE db_catch_users SET last_catch=?i WHERE user_id=?i', time(), $user_id);
		
			db::query('INSERT INTO db_catches SET user_id=?i, user_name=?s, position=?i,
			result=?i, result_sum=?i, time=?i', $user_id, $_SESSION['user'], $_GET['posid'],
			$result, $result_sum, time());
			
			if ($result == 1) {
				$fields_file[$_GET['posid']] = 0;
				$hide_sum = $hide_sum - $result_sum;
				$fields_file['sum'] = $hide_sum;
				_FWrite($fields_fp, $fields_file);
				unset($fields_file['sum']);
		
				db::query('UPDATE db_users_b SET money_p = money_p+?i WHERE id=?i', $result_sum, $user_id);
				echo '<p style="font-size: 18px; color: green; text-align: center;">  '.$result_sum.' !</p>';
			}
			else {
				echo '<p style="font-size: 18px; color: red; text-align: center;">    !</p>';
			}
		}
		else {
			echo '<p style="font-size: 18px; color: red; text-align: center;">    !</p>';
		}
	}
	
	if (!$catch_active) {
		$next_time = ($last_catch+$catch_live)-time();
		//$mins = round($next_time/60);
		//echo "{$next_time}-".($mins*60);
		//$secs = $next_time-($mins*60);
		//$next_time = "{$mins}:{$secs}";
		$next_time = date('i:s', $next_time);
		echo '<p style="font-size: 18px; color: red; text-align: center;">    : '.$next_time.'</p>';
	}
	
	$catch_user = db::getInd('position', 'SELECT position FROM db_catches WHERE user_id=?i', $user_id);
	echo '<div style="height: 550px; width: 550px; margin-left: 17px;">';
	foreach ($fields_file as $field_id => $field_sum) {
		$bg_color = (!isset($catch_user[$field_id])) ? 'rgb(24, 178, 111)' : 'white';
		echo '<a href="/account/catch/play/'.$field_id.'"><div style="float: left;width: 50px;height: 50px;background-color: '.$bg_color.';margin: 1px;border: 1px solid rgb(204, 204, 204);"></div></a>';
	}
	echo '</div>
	<p style="font-size: 22px; text-align: center;">   '.$hide_sum.'   </p><br><center>     .<br>     -      .</center>
	';
}

$catch_file = dirname(__FILE__).'/catch_fields.php'; //     

$fields_fp = 0;
$fields_file = _FRead2Write($fields_fp, $catch_file);

$hide_sum = $fields_file['sum'];
unset($fields_file['sum']);

$start_sum = 2000;
$pay_live = 60*60*3; //    ( ). - - 12 
$catch_live = 60*60; // ,       ( ). - - 15 

/**$fields = array(); //   ( )
$catch_file = dirname(__FILE__).'/catch_fields.php'; //     
$hide_sum = 100000; //  ,   
$success_percent = 35; //      
$min_for_field = 100; //   ,      
$max_for_field = 1000; //   ,      

$fact_sum = 0; //    
//   
for ($i = 0; $i<100;$i++) {
	$rand_percent = rand(0, 100);
	$fields[$i] = 0;
	if ($success_percent < $rand_percent || $hide_sum <= 0) continue;
	$sum_for_field = rand($min_for_field, $max_for_field);
	$fields[$i] = $sum_for_field;
	$hide_sum = $hide_sum - $sum_for_field;
	$fact_sum = $fact_sum + $sum_for_field;
}
//    
$fields['sum'] = $fact_sum;
$fields_fp = 0;
$fields_file = _FRead2Write($fields_fp, $catch_file);

_FWrite($fields_fp, $fields);
*/
$_OPTIMIZATION["title"] = " -  ";
$user_id = $_SESSION["user_id"];

$active = false;

$current_user = db::getRow('SELECT time FROM db_catch_users WHERE user_id=?i', $user_id);

if (isset($current_user['time'])) {
	if (($current_user['time']+$pay_live) > time()) $active = true;
}
?>

<div class="s-bk-lf">
	<div class="acc-title"> </div>
</div>
<div style="font-size: 16px;" class="silver-bk">
<center>      .<br>         .</center>
<div class="clr"></div>
<?php
if (!$active && isset($_POST['start'])) {
	game_init();
}
elseif (isset($_POST['position'])) {
	game_init($_POST['position']);
}
elseif ($active) {
	game_init();
}
else {
?>
<center>
	<b>  ,     <?php echo $start_sum; ?>   </b><br>
<b>   3 </b>
	<form action="" method="post">
		<input type="hidden" name="start" value="1">
		<p><input value=" " type="submit" class="reg green"></p>
	</form>
	<?php
echo '</div>
	<p style="font-size: 22px; text-align: center;">     '.$hide_sum.'   :</p>
	';?>
</center>
<?php } ?>
<br>
<div class="clr"></div>
