<?PHP
class pay_points{

	function __construct(){
	}
	
	function SetToAll($sum){
	
		$sum = floatval($sum);
		$sum = round($sum, 2);
		$sum = $sum * 0.05;
		
		$t24 = time() - 60*60*24;
		
		$users_activ = db::getOne("SELECT COUNT(*) FROM db_users_a WHERE date_login > '$t24'");
		
		$sum_per_user = ($sum / ($users_activ+1));
		
		db::query("UPDATE db_users_b SET pay_points = pay_points + ?i WHERE id IN(SELECT id FROM db_users_a WHERE date_login > '$t24') ", $sum_per_user);
		
	}
	
	
	function UpdatePayPoints($sum, $user_id){
	
		$sum = floatval($sum);
		$sum = round($sum, 2);
		$user_id = intval($user_id);
		
		$referer_id_1 = db::getOne("SELECT referer_id FROM db_users_a WHERE id = ?i", $user_id);
		$referer_id_2 = db::getOne("SELECT referer_id FROM db_users_a WHERE id = ?i", $referer_id_1);
		$referer_id_3 = db::getOne("SELECT referer_id FROM db_users_a WHERE id = ?i", $referer_id_2);

		# 1
		$sum_for_1 = $sum * 0.3;
		db::query("UPDATE db_users_b SET pay_points = pay_points + ?i WHERE id = ?i", $sum_for_1, $referer_id_1);
		
		# 2
		$sum_for_2 = $sum * 0.1;
		db::query("UPDATE db_users_b SET pay_points = pay_points + ?i WHERE id = ?i", $sum_for_2, $referer_id_2);
		
		# 3
		$sum_for_3 = $sum * 0.05;
		db::query("UPDATE db_users_b SET pay_points = pay_points + ?i WHERE id = ?i", $sum_for_3, $referer_id_3);
		
		$this->SetToAll($sum);
		
	}
	
}
?>