<?php
    #   ID  
    function checkID($id)
    {
        #   
        global $levels;
        
        #     
        foreach($levels as $level)
            #     
            if($level['id'] == $id)
                # 
                return $level;
        
        #  
        return false;
    }
    
    #      
    function checkData($fields,$create=true)
    {
        #   
        global $messages, 
               $func,
               $data,
               $levels,
               $id;

        #    
        foreach($fields as $name=>$field)
        {
            #    POST
            $value = $func->post($name);
            
            #  $field - 
            if(is_array($field))
                #    
                checkData($field);
            elseif($value===false)
                #  
                $messages[] = " [$field]  !";
            elseif(is_array($value))
            {
                #   "" 
                if(empty($value[0]))
                    #  
                    $messages[] = " [$field] ()  !";
                else
                {
                    #    
                    $key = $name.'_in_h';
                    
                    #    
                    $data[$key] = $value[0];
                }
                    
                #   "" 
                if(empty($value[1]))
                    #  
                    $messages[] = " [$field] ()  !";
                else
                {
                    #    
                    $key = 'amount_'.$name.'_t';
                    
                    #    
                    $data[$key] = $value[1];
                }
            }
            else
                #    
                $data[$name] = $value;
        }
    }

    #    
    function insertLevel()
    {
        #   
        global $data;
        
        #  SQL 
        $sql = array(
            "columns" => array("`id`"), 
            "values" => array("NULL"), 
        );
        
        #   
        $values = "NULL,";
        
        #     
        foreach($data as $key=>$value)
        {
            #   
            $sql['columns'][] = "`$key`";
            
            #  SQL 
            $sql['values'][] = "'$value'";
        }
        
        #    
        $columns = implode(',', $sql['columns']);
        $values  = implode(',', $sql['values']);
        
        #  SQL 
        $sql = "INSERT INTO `db_levels`($columns) VALUES($values);";

        #     
        return db::query($sql);
    }

    #   
    function updateLevel($id)
    {
        #   
        global $data;
        
        #  SQL 
        $sql = "UPDATE `db_levels` SET ";
        
        #     
        foreach($data as $key=>$value)
            #  SQL 
            $sql .= "$key='$value',";
        
        #     
        $sql = rtrim($sql,',') . "WHERE `id`='$id'";
        
        #     
        return db::query($sql);
    }

    #      
    function getData($key)
    {
        #   
        global $data;
               
        #        - 
        return 
            isset($data[$key]) ? $data[$key] : NULL;
            
    }
    
    #   
    $all = db::getAll("SELECT * FROM `db_levels`  ORDER BY `id` ASC");
    
    #    
    $levels = array();
    
    #   
    foreach ($all as $data)
        #    
        $levels[] = $data;
    
    #  
    $fields = array(
        'price' => ' ',
        'seedlings' => array(
            'a' => '', 
            'b' => '', 
            'c' => '', 
            'd' => '', 
            'e' => '',
			'f' => '',
			'g' => '',
        )
    );
        
    #   
    $action = isset($_GET['action']) ? $_GET['action'] : false;
    
    #    
    $data = array();
            
    #   - " "
    if($action=='add')
    {
        #    " "
        if($func->post('save'))
        {            
            #    
            $messages = array();
    
            #  
            checkData($fields);
            
            #   
            if(empty($messages))
                #    
                if(insertLevel())
                {
                    #   
                    $_SESSION['message'] = '  !';
                    
                    #  
                    header("Location: " . $_SERVER['REQUEST_URI']);
                    return;
                }
                else
                    $messages[] = '     ';
        }
    }
    elseif($action=='edit')
    {
        #  ID 
        $id = isset($_GET['id']) ? (int) $_GET['id'] : false;
        
        # ,      
        if(!$data=checkID($id))
            # 
            $messages[404] = '404 (Not Found):     !';
        else
        {
            #    " "
            if($func->post('save'))
            {  
                #    
                $messages = array();
        
                #  
                checkData($fields,false);
                
                #   
                if(empty($messages))
                    #    
                    if(updateLevel($id))
                        $messages[] = '  !';
                    else
                        $messages[] = '     ';
            }       
        }
    }

    #     
    if(isset($_SESSION['message']))
    {
        #  
        $messages['success'] = $_SESSION['message'];
        
        #    
        unset($_SESSION['message']);
    }
    
    #  
    require("_levels.tpl.php");